#
# Conditional builds:
%bcond_with	apidocs		# disable gtk-doc (there isn't any)
%bcond_without	nautilus	# build without nautilus extensions
#
Summary:	GKsu is a GTK+ frontend to the su program
Summary(pl.UTF-8):	GKsu to nakładka graficzna na program su
Name:		gksu
Version:	2.0.2
Release:	3
License:	GPL v2+
Group:		Applications/System
Source0:	http://people.debian.org/~kov/gksu/%{name}-%{version}.tar.gz
# Source0-md5:	cacbcac3fc272dce01c6ea38354489e2
Patch0:		glib-2.32.patch
Patch1:		%{name}-format.patch
URL:		http://www.nongnu.org/gksu/
BuildRequires:	GConf2-devel >= 2
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	gtk+2-devel >= 2:2.4.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.0}
BuildRequires:	intltool
BuildRequires:	libgksu-devel >= 2.0.8
BuildRequires:	libtool
%{?with_nautilus:BuildRequires:	nautilus-devel}
BuildRequires:	pkgconfig
Requires:	/bin/su
Requires:	gtk+2 >= 2:2.4.0
Requires:	libgksu >= 2.0.8
Obsoletes:	gksu-devel < 1.2
Obsoletes:	gksu-static < 1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if %{with nautilus}
%define		nautilus_extensiondir	%(pkg-config --variable=extensiondir libnautilus-extension)
%endif

%description
GKsu is a GTK+ frontend to the su program.

%description -l pl.UTF-8
GKsu to graficzna nakładka na program su.

%package nautilus
Summary:	Gksu plugin for nautilus
Summary(pl.UTF-8):	Wtyczka gksu dla nautilusa
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	nautilus
Obsoletes:	gksu-nautilus-devel < 2.0.0-1
Obsoletes:	gksu-nautilus-static < 2.0.0-1

%description nautilus
Gksu plugin for nautilus.

%description nautilus -l pl.UTF-8
Wtyczka gksu dla nautilusa.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-static \
	%{!?with_apidocs:--disable-gtk-doc} \
	%{!?with_nautilus:--disable-nautilus-extension} \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	nautilus_extensiondir=%{nautilus_extensiondir} \
	DESTDIR=$RPM_BUILD_ROOT

# fix gksudo man link
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/gksudo.1
echo .so man1/gksu.1 > $RPM_BUILD_ROOT%{_mandir}/man1/gksudo.1

%{?with_nautilus:%{__rm} $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-3.0/*.la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/gksu
%attr(755,root,root) %{_bindir}/gksudo
%{_desktopdir}/gksu.desktop
%{_mandir}/man1/gksu.1*
%{_mandir}/man1/gksudo.1*
%{_pixmapsdir}/gksu-icon.png
%{_pixmapsdir}/gksu-root-terminal.png
%dir %{_datadir}/gksu
%attr(755,root,root) %{_datadir}/gksu/gksu-migrate-conf.sh

%if %{with nautilus}
%files nautilus
%defattr(644,root,root,755)
%attr (755,root,root) %{nautilus_extensiondir}/libnautilus-gksu.so
%endif
%changelog
* Sat Mar 25 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gksu.git;a=log;h=master

* Sat Mar 25 2023 Jakub Bogusz <qboosh@pld-linux.org> 283eeed
- added format patch, spec cleanup; release 3

* Sat Jun 30 2012 Łukasz Kieś <kiesiu@pld-linux.org> bbc29b5
- patch to build with glib-2.32
- fixed nautilus bcond

* Wed May 04 2011 lisu <lisu@pld-linux.org> 33da741
- updated to 2.0.2
- use __rm macro

* Sat Dec 04 2010 Szymon Siwek <sls@pld-linux.org> 65f2cc7
- added __intltoolize (to avoid 'international files not found...')

* Mon Oct 13 2008 Tomasz Pala <gotar@pld-linux.org> f18a1c1
- even less error messages

* Mon Oct 13 2008 Tomasz Pala <gotar@pld-linux.org> 6562379
- apidocs bcond (nothing builds currently),
- removed BRs... gnome-keyring-devel required by libgksu-devel and
  readline-devel taken from older ORBit2-devel la files,
- gnome-vfs2-devel back conditional - modified specflags %define

* Mon Oct 13 2008 Tomasz Pala <gotar@pld-linux.org> 98e24a4
- BR: gnome-keyring-devel, gnome-vfs2-devel (regardless of with_nautilus),
  readline-devel, adjusted gtk+2-devel and libgksu-devel minimal versions,
- removed bogus commit (disabled find_lang without explanation).

* Mon Oct 13 2008 shadzik <shadzik@pld-linux.org> b4e9830
- properly commented out - thx glen

* Sun Oct 12 2008 shadzik <shadzik@pld-linux.org> 135fc7d
- findlang commented out

* Wed Jul 09 2008 Marcin Banasiak <marcin.banasiak@gmail.com> c70af86
- more verbose files
- release 3

* Fri Mar 28 2008 Szymon Siwek <sls@pld-linux.org> 313c06f
- package nautilus extension to proper directory

* Fri Mar 28 2008 Szymon Siwek <sls@pld-linux.org> 53e6ded
- fixes for nautilus extension

* Thu May 17 2007 wrobell <wrobell@pld-linux.org> b16d432
- fixed man link
- i18n files are back
- rel. 2

* Wed May 16 2007 wrobell <wrobell@pld-linux.org> f758759
- rel. 1

* Fri Mar 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 8c979c1
- syntax fixes, killed junk

* Fri Mar 16 2007 czarny <czarny@pld-linux.org> 3935114
- BR intltool and gettext-devel for internationalization

* Fri Mar 16 2007 czarny <czarny@pld-linux.org> d3688b4
- no natuilus package when --without nautilus supplied

* Fri Mar 16 2007 czarny <czarny@pld-linux.org> 3089d8b
- up to 2.0
- new natulius plugin subpackage
- BR's added based on clean chroot

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3141368
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 33dee37
- converted to UTF-8

